---
title: Unassign seats from users
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Seats
---

# Unassign seats from users{% #unassign-seats-from-users %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                            |
| ----------------- | ------------------------------------------------------- |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/seats/users |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/seats/users |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/seats/users      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/seats/users      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/seats/users  |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/seats/users     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/seats/users |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/seats/users |

### Overview

Unassign seats from users for a product code. This endpoint requires any of the following permissions:
`billing_edit``incident_write``on_call_write` 


### Request

#### Body Data (required)



{% tab title="Model" %}

| Parent field | Field                          | Type     | Description                                                                          |
| ------------ | ------------------------------ | -------- | ------------------------------------------------------------------------------------ |
|              | data                           | object   | The data for the unassign seats user request.                                        |
| data         | attributes [*required*]   | object   | The attributes of the unassign seats user request.                                   |
| attributes   | product_code [*required*] | string   | The product code for which to unassign seats.                                        |
| attributes   | user_uuids [*required*]   | [string] | The list of user IDs to unassign seats from.                                         |
| data         | id                             | string   | The ID of the unassign seats user request.                                           |
| data         | type [*required*]         | enum     | The type of the unassign seats user request. Allowed enum values: `seat-assignments` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "product_code": "",
      "user_uuids": [
        ""
      ]
    },
    "id": "string",
    "type": "seat-assignments"
  }
}
```

{% /tab %}

### Response

{% tab title="204" %}
No Content
{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="422" %}
Unprocessable Entity
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Curl command curl -X DELETE "https://api.datadoghq.com/api/v2/seats/users" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "product_code": "",
      "user_uuids": [
        "626a4e8e-64bd-409d-b80e-428f08ac0b62"
      ]
    },
    "type": "seat-assignments"
  }
}
EOF 
                
##### 

```python
"""
Unassign seats from users returns "No Content" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.seats_api import SeatsApi
from datadog_api_client.v2.model.seat_assignments_data_type import SeatAssignmentsDataType
from datadog_api_client.v2.model.unassign_seats_user_request import UnassignSeatsUserRequest
from datadog_api_client.v2.model.unassign_seats_user_request_data import UnassignSeatsUserRequestData
from datadog_api_client.v2.model.unassign_seats_user_request_data_attributes import (
    UnassignSeatsUserRequestDataAttributes,
)

# there is a valid "user" in the system
USER_DATA_ID = environ["USER_DATA_ID"]

body = UnassignSeatsUserRequest(
    data=UnassignSeatsUserRequestData(
        type=SeatAssignmentsDataType.SEAT_ASSIGNMENTS,
        attributes=UnassignSeatsUserRequestDataAttributes(
            product_code="incident_response",
            user_uuids=[
                USER_DATA_ID,
            ],
        ),
    ),
)

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = SeatsApi(api_client)
    api_instance.unassign_seats_user(body=body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Unassign seats from users returns "No Content" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::SeatsAPI.new

# there is a valid "user" in the system
USER_DATA_ID = ENV["USER_DATA_ID"]

body = DatadogAPIClient::V2::UnassignSeatsUserRequest.new({
  data: DatadogAPIClient::V2::UnassignSeatsUserRequestData.new({
    type: DatadogAPIClient::V2::SeatAssignmentsDataType::SEAT_ASSIGNMENTS,
    attributes: DatadogAPIClient::V2::UnassignSeatsUserRequestDataAttributes.new({
      product_code: "incident_response",
      user_uuids: [
        USER_DATA_ID,
      ],
    }),
  }),
})
api_instance.unassign_seats_user(body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// Unassign seats from users returns "No Content" response

package main

import (
	"context"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	// there is a valid "user" in the system
	UserDataID := os.Getenv("USER_DATA_ID")

	body := datadogV2.UnassignSeatsUserRequest{
		Data: &datadogV2.UnassignSeatsUserRequestData{
			Type: datadogV2.SEATASSIGNMENTSDATATYPE_SEAT_ASSIGNMENTS,
			Attributes: datadogV2.UnassignSeatsUserRequestDataAttributes{
				ProductCode: "incident_response",
				UserUuids: []string{
					UserDataID,
				},
			},
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewSeatsApi(apiClient)
	r, err := api.UnassignSeatsUser(ctx, body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `SeatsApi.UnassignSeatsUser`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Unassign seats from users returns "No Content" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.SeatsApi;
import com.datadog.api.client.v2.model.SeatAssignmentsDataType;
import com.datadog.api.client.v2.model.UnassignSeatsUserRequest;
import com.datadog.api.client.v2.model.UnassignSeatsUserRequestData;
import com.datadog.api.client.v2.model.UnassignSeatsUserRequestDataAttributes;
import java.util.Collections;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    SeatsApi apiInstance = new SeatsApi(defaultClient);

    // there is a valid "user" in the system
    String USER_DATA_ID = System.getenv("USER_DATA_ID");

    UnassignSeatsUserRequest body =
        new UnassignSeatsUserRequest()
            .data(
                new UnassignSeatsUserRequestData()
                    .type(SeatAssignmentsDataType.SEAT_ASSIGNMENTS)
                    .attributes(
                        new UnassignSeatsUserRequestDataAttributes()
                            .productCode("incident_response")
                            .userUuids(Collections.singletonList(USER_DATA_ID))));

    try {
      apiInstance.unassignSeatsUser(body);
    } catch (ApiException e) {
      System.err.println("Exception when calling SeatsApi#unassignSeatsUser");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// Unassign seats from users returns "No Content" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_seats::SeatsAPI;
use datadog_api_client::datadogV2::model::SeatAssignmentsDataType;
use datadog_api_client::datadogV2::model::UnassignSeatsUserRequest;
use datadog_api_client::datadogV2::model::UnassignSeatsUserRequestData;
use datadog_api_client::datadogV2::model::UnassignSeatsUserRequestDataAttributes;

#[tokio::main]
async fn main() {
    // there is a valid "user" in the system
    let user_data_id = std::env::var("USER_DATA_ID").unwrap();
    let body = UnassignSeatsUserRequest::new().data(UnassignSeatsUserRequestData::new(
        UnassignSeatsUserRequestDataAttributes::new(
            "incident_response".to_string(),
            vec![user_data_id.clone()],
        ),
        SeatAssignmentsDataType::SEAT_ASSIGNMENTS,
    ));
    let configuration = datadog::Configuration::new();
    let api = SeatsAPI::with_config(configuration);
    let resp = api.unassign_seats_user(body).await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Unassign seats from users returns "No Content" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.SeatsApi(configuration);

// there is a valid "user" in the system
const USER_DATA_ID = process.env.USER_DATA_ID as string;

const params: v2.SeatsApiUnassignSeatsUserRequest = {
  body: {
    data: {
      type: "seat-assignments",
      attributes: {
        productCode: "incident_response",
        userUuids: [USER_DATA_ID],
      },
    },
  },
};

apiInstance
  .unassignSeatsUser(params)
  .then((data: any) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
